import turtle

def poly(t,x,y,size,side,color):

	t.pencolor('#000000')
	t.fillcolor(color)
	t.begin_fill()
	for n in range (0,4):
		t.forward(size)
		t.left(360/side)
	t.end_fill()

	turtle.update()

def matrix(t,x,y,):
	# color list
	cl = ["#FFEF00" , "#005DFF" ,"#71A5FF" ,	"#ffffff" ,"#f79a0e" ,
			"#538947" ,	"#4b8093" ,"#7cafc2" ,"#96609e" ,"#a16946" ]
	# design design list
	mlist = ["00000000000000000000000000000000",
			 "00000000000000000000000000000000",
			 "00000000000000000000000000000000",
			 "00000000003333330000000000000000",
			 "00000000333333333000000000000000",
			 "00000033333313333303003000000000",
			 "00000033333313333030300000000000",
			 "00003333321122333300000000000000",
			 "00003333311211113303300000000000",
			 "00033333332111200303300000000000",
			 "00333333313311200003000000000000",
			 "00331233112120000000000000000000",
			 "03332113321120000000300000000000",
			 "03333123131200000000000000000030",
			 "33123121121200000000000000000333",
			 "33121121121200000000000000003333",
			 "33123121121200000000000000003333",
			 "33332111233320000000000000033133",
			 "33123221333320000000000000331133",
			 "33311123333320000000000033121211",
			 "33311123333332000000003331121211",
			 "33321333333332000000333122112111",
			 "33333333333133330033331211122311",
			 "33333312311231123113311233311311",
			 "33323123131131122311133311223313",
			 "33121121121313112331112111122112",
			 "32112112112321311122333112111111",
			 "32112112112121133111122331221111",
			 "21121121121121211331111131111111",
			 "23112112112112121133111111131111",
			 "23112122122121111331111131111111",
			 "11111111111111111111111111111111",]
			 
	print(t,x,y)
	t.width(1)
	for k in range(0,32):
		for h in range(0,32):
			colorstring = mlist[k][h]
			colorint = int(colorstring)
			color = cl[colorint]
			print(x*20,y*20)
			print(" color ",color," ",end="")
			t.penup()
			t.goto(h*20,k*-20)
			t.pendown()
			poly(t,h,k,20,4,color)
			


def main():
	turtle.TurtleScreen._RUNNING = True
	turtle.screensize(canvwidth=2500, canvheight=2500, bg=None)
	x = -400; y = 0
	w = turtle.Screen()
	w.clear()
	w.bgcolor("#ffffff")
	t = turtle.Turtle()

	turtle.tracer(0, 0)
	
	matrix(t,x,y)
	
	w.exitonclick()
	
if __name__ == '__main__':
	main()

'''
cl = ["#f8f8f8","#e8e8e8" ,"#d8d8d8" ,"#b8b8b8" ,
				"#585858" ,"#383838" ,"#282828" , "#181818" ,
				"#ab4642" ,	"#dc9656" ,"#f79a0e" ,"#538947" ,
				"#4b8093" ,"#7cafc2" ,"#96609e" ,"#a16946" ]

'''
